-- Addon based on Ace3 addons like Bugsack, CoolGlow and many others

LoadAddOn("Blizzard_WeeklyRewards")
local GV = LibStub("AceAddon-3.0"):NewAddon("GreatVault", "AceEvent-3.0")
local LDB = LibStub("LibDataBroker-1.1")
local LDBI = LibStub("LibDBIcon-1.0")

GV.version = GetAddOnMetadata("GreatVault", "Version")
GV.addonName = "Great Vault"
GV.icon = [[Interface\Addons\GreatVault\media\icon.tga]]

--setup default
local defaults = {
	profile = {
		minimap = {
			hide = false,
		}
	}
}

--creating tooltip
local function tooltip_draw()
	local tooltip = GameTooltip;
	tooltip:ClearLines()
	tooltip:AddDoubleLine("The Great Vault")
	tooltip:AddLine("Left-Click|r to open the Great Vault.")
	tooltip:AddLine("Right-Click|r to close the Great Vault.")
	tooltip:Show()	
end

-- function copied from LibDBIcon-1.0.lua
local function getAnchors(frame)
	local x, y = frame:GetCenter()
	if not x or not y then return "CENTER" end
	local hhalf = (x > UIParent:GetWidth()*2/3) and "RIGHT" or (x < UIParent:GetWidth()/3) and "LEFT" or ""
	local vhalf = (y > UIParent:GetHeight()/2) and "TOP" or "BOTTOM"
	return vhalf..hhalf, frame, (vhalf == "TOP" and "BOTTOM" or "TOP")..hhalf
end

local colorFrame = CreateFrame("frame");
local tooltip_update_frame = CreateFrame("FRAME");


---main function, based on addons like Simulationcraft, Bugsack, CoolGlow, Leatrix and countless others
local Broker_GreatVault;
Broker_GreatVault = LDB:NewDataObject("GreatVault", {
	type = "data source",
	text = "GreatVault",
	icon = "Interface\\Addons\\GreatVault\\media\\icon.blp",
	OnClick = function(_, button)
		if button == "LeftButton" then
			WeeklyRewardsFrame:Show()
		elseif button == "RightButton" then
			WeeklyRewardsFrame:Hide()
		end
	end,
	OnTooltipShow = function(tt)
    tt:AddLine("Great Vault")
    tt:AddLine(" ")
    tt:AddLine("Left-Click to open the Great Vault.")
    tt:AddLine("Right-Click to close the Great Vault.")
    end
})

function GV:OnInitialize()
	GV.db = LibStub("AceDB-3.0"):New("GreatVaultDB", defaults)
	LDBI:Register("GreatVault", Broker_GreatVault, GV.db.profile.minimap)
end

function GV:PLAYER_ENTERING_WORLD()
	GV:UnregisterEvent("PLAYER_ENTERING_WORLD")
end
GV:RegisterEvent("PLAYER_ENTERING_WORLD")

function GV:PLAYER_LOGIN()
end
GV:RegisterEvent("PLAYER_LOGIN")











